Altibase.jdbc.driver.sharding.core

## Class ShardNodeConfig

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.ShardNodeConfig

    public class ShardNodeConfig
    extends java.lang.Object

샤드 데이터노드 구성정보를 나타내는 객체.

### Constructor Summary

Constructors
Constructor and Description
`ShardNodeConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addNode(DataNode aDataNode)`
`java.util.List<DataNode>` `getDataNodes()`
`DataNode` `getNode(int aNodeId)`
`DataNode` `getNodeByName(java.lang.String aNodeName)`
`int` `getNodeCount()`
`void` `setDataNodes(java.util.List<DataNode> aDataNodes)`
`void` `setNodeCount(int aNodeCount)`
`void` `setTestEnable(boolean aTestEnable)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShardNodeConfig

    public ShardNodeConfig()

### Method Detail

#### setTestEnable

    public void setTestEnable(boolean aTestEnable)

#### setNodeCount

    public void setNodeCount(int aNodeCount)

#### getNodeCount

    public int getNodeCount()

#### getDataNodes

    public java.util.List<DataNode> getDataNodes()

#### addNode

    public void addNode(DataNode aDataNode)

#### getNode

    public DataNode getNode(int aNodeId)

#### getNodeByName

    public DataNode getNodeByName(java.lang.String aNodeName)

#### setDataNodes

    public void setDataNodes(java.util.List<DataNode> aDataNodes)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`